- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: ba3a30a2-dda9-4a52-9c72-370659917aa1
    creation_time: 2023-02-17T13:36:16.216749Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.c
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.c: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.c
    file_hash: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
    line: 16
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: limit == bufsize - 4 && ((i == 0 && 0 > len) || (0 <= i && i <= len))
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 2e9dbe0b-6b1c-483f-a8bf-9d4d50df2aba
    creation_time: 2023-02-17T13:36:16.216933Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.c
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.c: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.c
    file_hash: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
    line: 17
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: limit == bufsize - 4 && 0 <= i && i <= len && ((0 <= j && j <= limit + 2 && limit + 2 == bufsize - 2) || (j == 0 && 0 > limit))
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d960de80-d549-449d-8966-569956c26585
    creation_time: 2023-02-17T13:36:16.217224Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.c
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.c: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.c
    file_hash: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
    line: 26
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: i + 1 < len
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: a9d1f919-4024-47e8-a4d1-f23c465ec8c1
    creation_time: 2023-02-17T13:36:16.217310Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.c
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.c: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.c
    file_hash: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
    line: 26
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: 0 <= i
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ea8e2c33-a83b-42da-b895-e39baa1ab614
    creation_time: 2023-02-17T13:36:16.217417Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.c
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.c: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.c
    file_hash: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
    line: 26
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: i < len
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 008cfc33-5d1f-4bcb-a4ed-9f7036bdf436
    creation_time: 2023-02-17T13:36:16.217494Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.c
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.c: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.c
    file_hash: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
    line: 26
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: 0 <= i
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ae48450c-975c-4797-8050-72b83b27d8f8
    creation_time: 2023-02-17T13:36:16.217572Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.c
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.c: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.c
    file_hash: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
    line: 26
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: j < bufsize
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d690cb18-69ae-40e7-993f-6e6a30af5e27
    creation_time: 2023-02-17T13:36:16.217672Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.c
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.c: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.c
    file_hash: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
    line: 26
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: 0 <= j
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 57053630-7163-43af-a8e1-ae615edce24e
    creation_time: 2023-02-17T13:36:16.217756Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.c
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.c: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.c
    file_hash: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
    line: 33
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: i < len
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: aa162520-a8ca-4bfc-b62c-c2dfcc70bae2
    creation_time: 2023-02-17T13:36:16.217835Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.c
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.c: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.c
    file_hash: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
    line: 33
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: 0 <= i
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 9c7280c2-67b5-4f88-a833-d325217f97db
    creation_time: 2023-02-17T13:36:16.217910Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.c
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.c: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.c
    file_hash: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
    line: 33
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: j < bufsize
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 7f5e24a9-4dac-4fd8-b13f-0c32ffb75127
    creation_time: 2023-02-17T13:36:16.217985Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.c
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.c: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.c
    file_hash: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
    line: 33
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: 0 <= j
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 8a1d9f3d-809f-4ce8-892d-947c84029b5f
    creation_time: 2023-02-17T13:36:16.218067Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.c
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.c: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.c
    file_hash: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
    line: 38
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: j < bufsize
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 2a2216f9-733e-4f7e-bb2a-2a2103e21f37
    creation_time: 2023-02-17T13:36:16.218142Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.c
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.c: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.c
    file_hash: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
    line: 38
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: 0 <= j
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: fceea423-ae75-4af7-a621-5ff4c255226b
    creation_time: 2023-02-17T13:36:16.218219Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.c
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.c: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.c
    file_hash: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
    line: 45
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: i < len
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 200cb662-2b01-4ef8-9dfe-d883c8f0362a
    creation_time: 2023-02-17T13:36:16.218298Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.c
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.c: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.c
    file_hash: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
    line: 45
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: 0 <= i
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: b4b6b7d8-e9f6-4447-9a51-92c20f7c6cdc
    creation_time: 2023-02-17T13:36:16.218372Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.c
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.c: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.c
    file_hash: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
    line: 45
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: j < bufsize
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 853b41b8-227d-4354-8057-cd32f496eff9
    creation_time: 2023-02-17T13:36:16.218446Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.c
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.c: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.c
    file_hash: d9f5dbce180466cf3680273f6f95268e165bb9b20022a02f5e08b25de899bd3b
    line: 45
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: 0 <= j
    type: assertion
    format: C

